Subject: Re: [PATCH net-next 3/4] net: phy: add resolved pause support

From: Andrew Lunn <[email-masked]>
Date: Tue, 18 Feb 2020 02:44:32 +0100

On Mon, Feb 17, 2020 at 03:54:30PM +0000, Russell King wrote:
> Allow phylib drivers to pass the hardware-resolved pause state to MAC
> drivers, rather than using the software-based pause resolution code.

Hi Russell

What i find missing here is an explanation of why hardware resolved
pause is better than software. We know what the software based method
is, and it will be consistent across all hardware. Can we say that
about the hardware?

Thanks
	Andrew